package com.bcxin.ars.model.task;

import java.util.Date;

import com.bcxin.ars.model.BaseModel;

/**
 * APP-消息通知分类
 * @author zhangye
 * @version V1.0.9
 */
public class AppNoticeType extends BaseModel {

 
	private static final long serialVersionUID = 7146969354989132832L;

	/**
	 * 类别名称
	 */
	private String typeName;
	
	
	/**
	 * 图标
	 */
	private String imageurl;


	/**
	 * 未阅读通知数量(非数据库字段)
	 */
	private int noticeCount;
	
	/**
	 * 保安人员ID(非数据库字段)
	 */
	private Long personId;
	 
	/**
	 * 最新消息通知日期
	 */
	private Date msgDate;
	
	public String getTypeName() {
		return typeName;
	}


	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}


	public String getImageurl() {
		return imageurl;
	}


	public void setImageurl(String imageurl) {
		this.imageurl = imageurl;
	}


	public int getNoticeCount() {
		return noticeCount;
	}


	public void setNoticeCount(int noticeCount) {
		this.noticeCount = noticeCount;
	}


	public Long getPersonId() {
		return personId;
	}


	public void setPersonId(Long personId) {
		this.personId = personId;
	}


	public Date getMsgDate() {
		return msgDate;
	}


	public void setMsgDate(Date msgDate) {
		this.msgDate = msgDate;
	}


 
	
}
